# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
"""Client and server classes corresponding to protobuf-defined services."""
import grpc

import orders_pb2 as orders__pb2


class OrdersStub(object):
    """Missing associated documentation comment in .proto file."""

    def __init__(self, channel):
        """Constructor.

        Args:
            channel: A grpc.Channel.
        """
        self.SaveNewOrder = channel.unary_unary(
                '/FoodOrderingApp.Orders/SaveNewOrder',
                request_serializer=orders__pb2.OrderItem.SerializeToString,
                response_deserializer=orders__pb2.OrderResponse.FromString,
                )
        self.ConfirmedOrdersFromDB = channel.unary_unary(
                '/FoodOrderingApp.Orders/ConfirmedOrdersFromDB',
                request_serializer=orders__pb2.EmptyReq.SerializeToString,
                response_deserializer=orders__pb2.DBConfirmedOrders.FromString,
                )


class OrdersServicer(object):
    """Missing associated documentation comment in .proto file."""

    def SaveNewOrder(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')

    def ConfirmedOrdersFromDB(self, request, context):
        """Missing associated documentation comment in .proto file."""
        context.set_code(grpc.StatusCode.UNIMPLEMENTED)
        context.set_details('Method not implemented!')
        raise NotImplementedError('Method not implemented!')


def add_OrdersServicer_to_server(servicer, server):
    rpc_method_handlers = {
            'SaveNewOrder': grpc.unary_unary_rpc_method_handler(
                    servicer.SaveNewOrder,
                    request_deserializer=orders__pb2.OrderItem.FromString,
                    response_serializer=orders__pb2.OrderResponse.SerializeToString,
            ),
            'ConfirmedOrdersFromDB': grpc.unary_unary_rpc_method_handler(
                    servicer.ConfirmedOrdersFromDB,
                    request_deserializer=orders__pb2.EmptyReq.FromString,
                    response_serializer=orders__pb2.DBConfirmedOrders.SerializeToString,
            ),
    }
    generic_handler = grpc.method_handlers_generic_handler(
            'FoodOrderingApp.Orders', rpc_method_handlers)
    server.add_generic_rpc_handlers((generic_handler,))


 # This class is part of an EXPERIMENTAL API.
class Orders(object):
    """Missing associated documentation comment in .proto file."""

    @staticmethod
    def SaveNewOrder(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/FoodOrderingApp.Orders/SaveNewOrder',
            orders__pb2.OrderItem.SerializeToString,
            orders__pb2.OrderResponse.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)

    @staticmethod
    def ConfirmedOrdersFromDB(request,
            target,
            options=(),
            channel_credentials=None,
            call_credentials=None,
            insecure=False,
            compression=None,
            wait_for_ready=None,
            timeout=None,
            metadata=None):
        return grpc.experimental.unary_unary(request, target, '/FoodOrderingApp.Orders/ConfirmedOrdersFromDB',
            orders__pb2.EmptyReq.SerializeToString,
            orders__pb2.DBConfirmedOrders.FromString,
            options, channel_credentials,
            insecure, call_credentials, compression, wait_for_ready, timeout, metadata)
